package com.brilliance.isc.mda.dao;

import org.apache.ibatis.annotations.Mapper;
import com.brilliance.isc.bo.Swtchl;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface SwtchlMapper {

    int insert(Swtchl record);

    int insertSelective(Swtchl record);

    int updateByPrimaryKeySelective(Swtchl record);

    int updateByPrimaryKey(Swtchl record);

    int deleteByPrimaryKey(Swtchl record);

    int deleteByIds(Collection<Object> collection);

    Swtchl selectByPrimaryKey(Swtchl record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Swtchl> dyncRead(Map<String, Object> dyncMap);
	
	String selectChlflgByMsgref(String msgref);

    int selectCountByMsgref(String msgref);

}